<?php
/* Essential Addons for Elementor support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tourimo_eae_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tourimo_eae_theme_setup9', 9 );
	function tourimo_eae_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'tourimo_filter_tgmpa_required_plugins', 'tourimo_eae_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tourimo_eae_tgmpa_required_plugins' ) ) {
	
	function tourimo_eae_tgmpa_required_plugins( $list = array() ) {
		if ( tourimo_storage_isset( 'required_plugins', 'essential-addons-for-elementor-lite' ) && tourimo_storage_get_array( 'required_plugins', 'essential-addons-for-elementor-lite', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tourimo_storage_get_array( 'required_plugins', 'essential-addons-for-elementor-lite', 'title' ),
				'slug'     => 'essential-addons-for-elementor-lite',
				'required' => false,
			);
		}
		return $list;
	}
}